summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Hervey <edward@collabora.com>2013-10-15 14:48:10 +0200
committerEdward Hervey <edward@collabora.com>2013-10-15 14:48:10 +0200
commit5d57d777778efeb762389e72b42fbdeb3f043a9a (patch)
treee2d516365dbcb4c8d69eb36030ab7d7a7c8b262d
parent9fd2358df49a774b0e762dca1ca6a3889dd7ce0d (diff)
Sample repo tagging script (doesn't work yet)
-rw-r--r--commit-repo-tag.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/commit-repo-tag.sh b/commit-repo-tag.sh
new file mode 100644
index 0000000..07018fe
--- /dev/null
+++ b/commit-repo-tag.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# start : default branch
+
+# repo sync should have been done before
+
+BUILD_BRANCH=jenkins-build-branch
+TMP_FILENAME=tmp_manifest.xml
+
+repo manifest -r -o $TMP_FILENAME
+cd .repo/manifests
+git checkout $BUILD_BRANCH
+cp ../../$TMP_FILENAME ./default.xml
+
+# Note: This will return with errors if there are not changes
+# FIXME : Would be great to have it include the list of changes...
+git commit -m "<commit message>" -- default.xml || true
+
+git tag -a <TAG> -m "<tag message>"
+git push $BUILD_BRANCH
+git checkout default
+cd ../../